local nvim_lint = require 'lint'

vim.keymap.set('n', '<LocalLeader>l', ':lua require(\'lint\').try_lint()<CR>', { noremap = true, unique = true })

nvim_lint.linters_by_ft = {
  dockerfile = { 'hadolint' },
  fish       = { 'fish' },
  haskell    = { 'hlint' },
  javascript = { 'eslint' },
  lua        = { 'luacheck' },
  python     = { 'pylint', 'mypy' },
  sh         = { 'shellcheck' },
  typescript = { 'eslint' },
  yaml       = { 'yamllint' },
}
